summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author Andrea Sacchetti Picchio2023-12-08 02:53:08 +0100
committer Willy Sudiarto Raharjo2023-12-08 05:09:55 +0100
commit26ce0f7131d578bcf6f043a6e6309c3d8824bba0 (patch)
tree993b547b61c0d8d1ef89ef5aa9c16b425f18e477 /ham
parentcb912f39bfe93380667ed2a15859e8c9109a02aa (diff)
downloadslackbuilds-26ce0f7131d578bcf6f043a6e6309c3d8824bba0.tar.gz
ham/sdrangel: Added (SDR Rx/Tx software).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/sdrangel/README38
-rw-r--r--ham/sdrangel/doinst.sh9
-rw-r--r--ham/sdrangel/sdrangel.SlackBuild114
-rw-r--r--ham/sdrangel/sdrangel.info10
-rw-r--r--ham/sdrangel/slack-desc19
5 files changed, 190 insertions, 0 deletions
diff --git a/ham/sdrangel/README b/ham/sdrangel/README
new file mode 100644
index 0000000000..4059fff15d
--- /dev/null
+++ b/ham/sdrangel/README
@@ -0,0 +1,38 @@
+SDR Rx/Tx software for Airspy, Airspy HF+, BladeRF, HackRF, LimeSDR,
+PlutoSDR, RTL-SDR, SDRplay RSP1 and FunCube
+
+This software project is committed to Open Source that is you as a
+visitor, collaborator, simple user... will always be guaranteed access
+to the source code. You may fork this repository, change the code, take
+bits to use in another project or just run it. It is important to
+realize that source code is THE value of this software.
+Artifacts are considered as accessory.
+This is NOT free software as in free lunch and when you run it a
+collaborative attitude is expected.
+
+This software is provided in the hope it will be useful. Its main goal
+is to provide a Software Defined Radio platform that is committed to:
+
+- be efficient: code should be written to be conservative on CPU
+ resources it is not because the CPU power of machines constantly
+ increase that this power should be wasted
+- have fast paced instrumental graphics. Thanks to OpenGL spectrum,
+ signal graphics and images can be rendered responsively
+- give power to the user by letting him/her control all aspects of the
+ DSP processing chain. But as you know with greater power comes
+ greater responsibility therefore it is expected that you already have
+ some experience with SDR applications and digital signal processing
+ in general
+- be an experimental platform for amateur radio or anyone interested in
+ matters related to electromagnetism or communication based on
+ electromagnetic waves. It is in no way intended for production
+ moreover mission critical usage.
+
+Depending to your SDR hardware you may want to install some or all:
+libairspy, libairspyhf, libbladeRF, libhackrf, liniio, libmirisdr,
+libperseus, librtlsdr, uhd ...
+(not all available at slackbuilds.org)
+
+Optional features can be enabled installing:
+libsigmf, libcm256cc, libdsdcc, sgp4, apt, libdab, libxtrx
+(not available at slackbuilds.org)
diff --git a/ham/sdrangel/doinst.sh b/ham/sdrangel/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/ham/sdrangel/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/ham/sdrangel/sdrangel.SlackBuild b/ham/sdrangel/sdrangel.SlackBuild
new file mode 100644
index 0000000000..88e0e1e2fc
--- /dev/null
+++ b/ham/sdrangel/sdrangel.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/bash
+
+# Slackware build script for sdrangel
+
+# Copyright 2023 Andrea Sacchetti Picchio Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=sdrangel
+VERSION=${VERSION:-7.17.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_INSTALL_MANDIR=/usr/man \
+ -DCMAKE_INSTALL_DOCDIR=/usr/doc/$PRGNAM-$VERSION \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make $NUMJOBS
+ make install/strip DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG IssueTemplate.md LICENSE Readme.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/ham/sdrangel/sdrangel.info b/ham/sdrangel/sdrangel.info
new file mode 100644
index 0000000000..61cce8ac3b
--- /dev/null
+++ b/ham/sdrangel/sdrangel.info
@@ -0,0 +1,10 @@
+PRGNAM="sdrangel"
+VERSION="7.17.2"
+HOMEPAGE="https://github.com/f4exb/sdrangel/wiki"
+DOWNLOAD="https://github.com/f4exb/sdrangel/archive/v7.17.2/sdrangel-v7.17.2.tar.gz"
+MD5SUM="0fecda2303e327156a1f90aba5fe833f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="faad2 codec2 hamlib"
+MAINTAINER="Andrea Sacchetti Picchio"
+EMAIL="andrea dot sacchettipicchio at gmail dot com"
diff --git a/ham/sdrangel/slack-desc b/ham/sdrangel/slack-desc
new file mode 100644
index 0000000000..ca5caa2b08
--- /dev/null
+++ b/ham/sdrangel/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sdrangel: sdrangel (TX & RX Software Defined Radio)
+sdrangel:
+sdrangel: SDRangel: SDR Rx/Tx software for Airspy, Airspy HF+, BladeRF, HackRF,
+sdrangel: LimeSDR, PlutoSDR, RTL-SDR, SDRplay RSP1 and FunCube
+sdrangel:
+sdrangel:
+sdrangel:
+sdrangel:
+sdrangel: Homepage: https://www.sdrangel.org/
+sdrangel:
+sdrangel: